Package com.tibco.patterns.qbp

## Class ANetricsQueryBuilderBuilderBase.SupportingMatchCaseQlt

- java.lang.Object
- - com.tibco.patterns.qbp.ANetricsQueryBuilderBuilderBase.SupportingMatchCaseQlt

- Enclosing class:
    ANetricsQueryBuilderBuilderBase

      protected static class ANetricsQueryBuilderBuilderBase.SupportingMatchCaseQlt
      extends java.lang.Object

  Define a supporting querylet/feature of a match case query.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SupportingMatchCaseQlt​(com.netrics.likeit.NetricsQuery querylet, double threshold, double support_factor, java.lang.Double penalty_factor)` | Create the definition of a match case supporting feature.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getPenaltyFactor()` |
    `com.netrics.likeit.NetricsQuery` | `getQuerylet()` |
    `double` | `getSupportFactor()` |
    `double` | `getThreshold()` |
    `void` | `setQuerylet​(com.netrics.likeit.NetricsQuery querylet)` | Set the query to be used.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SupportingMatchCaseQlt

          public SupportingMatchCaseQlt​(com.netrics.likeit.NetricsQuery querylet,
                                        double threshold,
                                        double support_factor,
                                        java.lang.Double penalty_factor)
                                 throws java.lang.IllegalArgumentException

      Create the definition of a match case supporting feature.
      Parameters:
        `querylet` - the NetricsQuery object representing the querylet.
        `threshold` - the threshold score that divides a matching feature from a non-matching feature. (Required.)
        `support_factor` - the factor used to determine the amount a matching feature contributes to the score. (Required.)
        `penalty_factor` - the factor used to determine the amount a non-matching feature reduces the score. If null this is the same as support_factor.
      Throws:
        `java.lang.IllegalArgumentException` - if any of threshold, support_factor or penalty_factor are not between 0.0 and 1.0.

  - ### Method Detail

    - #### setQuerylet

          public void setQuerylet​(com.netrics.likeit.NetricsQuery querylet)

      Set the query to be used.
      Parameters:
        `querylet` - the query for this supporting querylet.

    - #### getQuerylet

          public com.netrics.likeit.NetricsQuery getQuerylet()

      Returns:
        the querylet object.
      Throws:
        `java.lang.IllegalStateException` - if no querylet has been set.

    - #### getThreshold

          public double getThreshold()

      Returns:
        the supporting feature threshold score.

    - #### getSupportFactor

          public double getSupportFactor()

      Returns:
        the supporting feature support factor.

    - #### getPenaltyFactor

          public double getPenaltyFactor()

      Returns:
        the supporting feature penalty factor.